Subject: [PATCH] More spelling fixes in the POD.
Origin: vendor
Forwarded: no
From: gregor herrmann <gregoa@debian.org>
Last-Update: 2022-06-03

--- a/lib/Log/Log4perl.pm
+++ b/lib/Log/Log4perl.pm
@@ -2250,7 +2250,7 @@ C<die()> (including the traditional outp
 See L<"Log and die or warn"> for the similar C<logdie()> and C<logwarn()>
 functions of regular (i.e non-stealth) loggers.
 
-Similarily, C<LOGCARP()>, C<LOGCLUCK()>, C<LOGCROAK()>, and C<LOGCONFESS()>
+Similarly, C<LOGCARP()>, C<LOGCLUCK()>, C<LOGCROAK()>, and C<LOGCONFESS()>
 are provided in C<:easy> mode, facilitating the use of C<logcarp()>,
 C<logcluck()>, C<logcroak()>, and C<logconfess()> with stealth loggers.
 
@@ -2768,7 +2768,7 @@ would even play along in the Log::Log4pe
 A call to C<Log::Log4perl-E<gt>infiltrate_lwp()> does exactly this. 
 In a very rude way, it pulls the rug from under LWP::UserAgent and transforms
 its C<debug/conn> messages into C<debug()> calls of loggers of the category
-C<"LWP::UserAgent">. Similarily, C<LWP::UserAgent>'s C<trace> messages 
+C<"LWP::UserAgent">. Similarly, C<LWP::UserAgent>'s C<trace> messages
 are turned into C<Log::Log4perl>'s C<info()> method calls. Note that this
 only works for LWP::UserAgent versions E<lt> 5.822, because this (and
 probably later) versions miss debugging functions entirely.
--- a/lib/Log/Log4perl/Config/Watch.pm
+++ b/lib/Log/Log4perl/Config/Watch.pm
@@ -317,7 +317,7 @@ been replaced by a new file in the meant
     }
 
 The parameters C<check_interval> and C<signal> limit the number of physical 
-file system checks, similarily as with C<change_detected()>.
+file system checks, similarly as with C<change_detected()>.
 
 =head1 LICENSE
 
--- a/lib/Log/Log4perl/Layout/PatternLayout.pm
+++ b/lib/Log/Log4perl/Layout/PatternLayout.pm
@@ -611,7 +611,7 @@ just like in I<printf>:
 Some placeholders have special functions defined if you add curlies 
 with content after them:
 
-    %c{1}  Just show the right-most category compontent, useful in large
+    %c{1}  Just show the right-most category component, useful in large
            class hierarchies (Foo::Baz::Bar -> Bar)
     %c{2}  Just show the two right most category components
            (Foo::Baz::Bar -> Baz::Bar)
--- a/lib/Log/Log4perl/DateFormat.pm
+++ b/lib/Log/Log4perl/DateFormat.pm
@@ -454,7 +454,7 @@ month names, internationalization suppor
 More granular timestamps down to the millisecond are also supported,
 just provide the millsecond count as a second argument:
 
-    # Advanced time, resultion in milliseconds
+    # Advanced time, resoluion in milliseconds
     use Time::HiRes;
     my ($secs, $msecs) = Time::HiRes::gettimeofday();
     print $format->format($secs, $msecs), "\n";
--- a/lib/Log/Log4perl/FAQ.pm
+++ b/lib/Log/Log4perl/FAQ.pm
@@ -1860,7 +1860,7 @@ methods to control indentation of messag
 
     my $appender = Log::Log4perl->appender_by_name("Indented");
 
-    DEBUG "No identation";
+    DEBUG "No indentation";
     $appender->indent_more();
     DEBUG "One more";
     $appender->indent_more();
@@ -1870,7 +1870,7 @@ methods to control indentation of messag
 
 As you would expect, this will print
 
-    DEBUG - No identation
+    DEBUG - No indentation
      DEBUG - One more
       DEBUG - Two more
      DEBUG - One less
